package com.ztmap.common.utils.domain;

import org.gdal.osr.SpatialReference;

public class SpatialDataInfo {

	private double[] extent;
	private SpatialReference spatialReference;

	private int RasterBandCount;
	
	private int RasterXSize;
	
	private int RasterYSize;

	private double[] geotransform;

	public double[] getGeotransform() {
		return geotransform;
	}

	public void setGeotransform(double[] geotransform) {
		this.geotransform = geotransform;
	}

	/**图层范围*/
	public double[] getExtent() {
		return extent;
	}
	/**图层范围*/
	public void setExtent(double[] extent) {
		this.extent = extent;
	}

	/**坐标参考*/
	public SpatialReference getSpatialReference() {
		return spatialReference;
	}
	/**坐标参考*/
	public void setSpatialReference(SpatialReference spatialReference) {
		this.spatialReference = spatialReference;
	}
	/**获取坐标参考描述*/
	public String getSpatialReferenceDesc() {
		String result = "";
		if(spatialReference != null) {
			String geo_gcs = spatialReference.GetAttrValue("GEOGCS");
			String projection = spatialReference.GetAttrValue("PROJECTION");
			result = "GEOGCS:" + geo_gcs + "; PROJECTION:" + projection;
		}
		
		return result;
	}
	
	public int getRasterBandCount() {
		return RasterBandCount;
	}
	public void setRasterBandCount(int rasterBandCount) {
		RasterBandCount = rasterBandCount;
	}
	public int getRasterXSize() {
		return RasterXSize;
	}
	public void setRasterXSize(int rasterXSize) {
		RasterXSize = rasterXSize;
	}
	public int getRasterYSize() {
		return RasterYSize;
	}
	public void setRasterYSize(int rasterYSize) {
		RasterYSize = rasterYSize;
	}
}
